org.eclipse.jgit.errors

## Class CorruptObjectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.CorruptObjectException

All Implemented Interfaces:
  Serializable

    public class CorruptObjectException
    extends IOException

Exception thrown when an object cannot be read from Git.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CorruptObjectException(AnyObjectId id, String why)` Construct a CorruptObjectException for reporting a problem specified object id
`CorruptObjectException(ObjectId id, String why)` Construct a CorruptObjectException for reporting a problem specified object id
`CorruptObjectException(String why)` Construct a CorruptObjectException for reporting a problem not associated with a specific object id.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CorruptObjectException

    public CorruptObjectException(AnyObjectId id,
                          String why)

Construct a CorruptObjectException for reporting a problem specified object id

Parameters:
  `id` -
  `why` -

#### CorruptObjectException

    public CorruptObjectException(ObjectId id,
                          String why)

Construct a CorruptObjectException for reporting a problem specified object id

Parameters:
  `id` -
  `why` -

#### CorruptObjectException

    public CorruptObjectException(String why)

Construct a CorruptObjectException for reporting a problem not associated with a specific object id.

Parameters:
  `why` -